Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JanosVM v0.6.0 Java API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.utah.janosvm.io
Class StdOutputStream

    java.lang.Object
      |
      +--java.io.OutputStream
            |
            +--edu.utah.janosvm.io.StdOutputStream

public class StdOutputStream
extends java.io.OutputStream

Output stream for a team's standard output.

Author:
  Tim Stack, Utah Janos Team

Field Summary
`static int` | `STDERR` The standard error kind.
`static int` | `STDOUT` The standard output kind.

Constructor Summary
`StdOutputStream(int kind)` Construct a StdOutputStream of the given kind.

Method Summary
`void` | `close()`
`void` | `flush()`
`java.lang.String` | `toString()`
`void` | `write(byte[] b, int off, int len)`
`void` | `write(int x)`

Methods inherited from class java.io.OutputStream
`write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### STDOUT

    public static final int STDOUT

  The standard output kind.
  See Also:
    `#kind`

### STDERR

    public static final int STDERR

  The standard error kind.
  See Also:
    `#kind`

Constructor Detail

### StdOutputStream

    public StdOutputStream(int kind)

  Construct a StdOutputStream of the given kind.
  Parameters:
    `kind` - The kind of output stream, stdout or stderr.

Method Detail

### close

    public void close()

  Overrides:
    close in class java.io.OutputStream

### flush

    public void flush()

  Overrides:
    flush in class java.io.OutputStream

### write

    public void write(byte[] b,
                      int off,
                      int len)

  Overrides:
    write in class java.io.OutputStream

### write

    public void write(int x)

  Overrides:
    write in class java.io.OutputStream

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JanosVM v0.6.0 Java API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This documentation is Copyright (C) 2000-2002 The University of Utah. All Rights Reserved. See the documentation license for distribution terms and restrictions.
Documentation, software, and mailing lists for the JanosVM can be found at the Janos Project web page: http://www.cs.utah.edu/flux/janos/
Generated on Mar 17, 2002